<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Comment extends Model
{
    use HasFactory;
    protected $table = 'comments';
    protected $primaryKey = 'id';


    public function user(){
        return $this->belongsTo(User::class);
      }
    public function lead(){
        return $this->belongsTo(Lead::class);
      }
    public function replies(){

        return $this->hasMany(Comment::class,'parent_id');
      }
}
