@php
    $title = env('APP_NAME'). ' AGENT';
@endphp
@extends('master.master')
@section('content')
<style>
  .table th {
      font-size: 14px;
      background-color: #020940;
      color: #fff;
  }
</style>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
            <div class="row">
                 <div class="col-md-6">
                    <div class="header-title">
                        <h4 class="card-title">Agents</h4>
                    </div>
                 </div>
                 <div class="col-md-6">
                    <a style="float: right;" href="{{route('agents.create')}}" class="reNumber btn btn-danger mb-3">New Agent</a>
                 </div>

            </div>

        </div>
        <div class="card-body">
          <div class="panel-body">
              <div class="table-responsive">
                  <table id="mytable" class="table table-striped bordered table protable" style="width:100%">
                      <thead>
                        <tr>
                          <th>S.N.</th>
                          <th>Name</th>
                          <th>Email</th>
                          <th>Mobile.No.</th>
                          <th>Address</th>
                          <th>Action</th>
                        </tr>
                      </thead>
                      <tbody>
                          @foreach($user as $key=>$row)
                          <tr>
                              <td>{{$key+1}}</td>
                              <td>{{$row->name }}</td>
                              <td>{{$row->email }}</td>
                              <td>{{$row->mobile}}</td>
                              <td>{{$row->address}}</td>
                              <td class="text-center" >
                                <div class="d-flex actions__btn">
                                <a href="{{ route('agents.edit', $row->id) }}" class="btn btn-warning las la la-pencil-alt mr-2">
                                </a>
                                <form action="{{ route('agents.destroy', $row->id) }}" method="post">
                                  @method('delete')
                                  @csrf
                                  <button class="btn btn-danger las la la-trash" onclick="return confirm('Are You Sure to Delete  Agent')"></button>
                                </form>
                                </div>
                              </td>
                            </tr>
                              @endforeach
                      </tbody>
                  </table>
                  </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
@endsection




