@php
    $title = env('APP_NAME'). ' Edit Projects';
@endphp
@extends('master.master')
@section('content')
<div class="container-fluid">
    <div class="card">
        <div style="background-color:#f4f5fa;" class="card-header d-flex justify-content-between">
           <div  class="header-title">
               <h4 class="card-title">Edit Project</h4>
           </div>
        </div>
        <div class="card-body">
    <form action="{{ route('projects.update', $data->id) }}" method="POST">
        @method('put')
        @csrf
        <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <label for="status_name">Project Name</label>
                   <input type="text" class="form-control" name="project_name" value="{{ $data !== null ? $data->project_name : '' }}" placeholder="Name of Proejct" required>
              </div>
            </div>
        </div>

        <div class="text-center mb-4">
            <button type="submit" class="btn btn-primary px-5 py-3">Update</button>
            <a href="{{ url('projects') }}" class="btn bg-danger px-5 py-3 mr-4">Cancel</a>
        </div>
    </form>
</div>
</div>
</div>
@endsection
