@php
    $title = env('APP_NAME'). ' STATUS';
@endphp
@extends('master.master')
@section('content')
<style>
    .table th {
        font-size: 14px;
        background-color: #020940;
        color: #fff;
    }
</style>
<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
             <div class="card-header">
                <div class="row">
                    <div class="col-md-6">
                        <div class="header-title">
                            <h4 class="card-title">Status Master</h4>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <a style="float: right;" href="{{ route('status.create') }}" class="reNumber btn btn-danger mb-3">Create Lead Status</a>

                    </div>

                </div>

             </div>
             <div class="card-body">
                 <div class="panel-body">
                     <div class="table-responsive">
                         <table id="mytable" class="table table-striped bordered table protable" style="width:100%">
                             <thead>
                                 <tr>
                                     <th class="text-center">S.no.</th>
                                     <th class="text-center">Status Name</th>
                                     <th class="text-center">Created Date</th>
                                     <th class="text-center">Action</th>
                                 </tr>
                             </thead>
                             <tbody>
                                 @foreach ($all_status as $all_status_k => $all_status_item)
                                     <tr class="border-top">
                                         <td class="text-center">{{ $all_status_k+1 }}</td>
                                         <td class="text-center">
                                             <p><strong>{{$all_status_item->status_name}}</strong></p>
                                         </td>

                                         <td class="text-center">
                                            {{  substr($all_status_item->created_at,0, 10); }}
                                        </td>


                                         <td class="text-center">
                                            <div class="d-flex actions__btn">

                                             <a href="{{ route('status.edit', $all_status_item->id) }}" class="btn btn-warning las la la-pencil-alt mr-2"></a>
                                             <form action="{{ route('status.destroy', $all_status_item->id) }}" method="post">
                                                 @method('delete')
                                                 @csrf
                                                 <button class="btn btn-danger las la la-trash" onclick="return confirm('Are You Sure to Delete Status')"></button>
                                             </form>
                                            </div>
                                         </td>
                                     </tr>
                                 @endforeach
                             </tbody>
                         </table>
                         </div>
                     </div>
                 </div>
             </div>
            </div>
        </div>
    </div>
</div>
@endsection
