@php
    $title = env('APP_NAME'). ' Dashboard';
@endphp
@extends('master.master')
@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <div class="row"> 
                @if (Auth::user()->user_type)
                    <div class="col-lg-3 col-md-4">
                        <div class="card card-block card-stretch card-height border-0">
                            <div class="card-body p-0">
                                <a href="{{route('agents.index')}}" class="d-block px-3 py-4 box-bg rounded">
                                <div class="align-items-center card-total-sale text-center">
                                    <div class="icon iq-icon-box-2  mx-auto bg-success">
                                        <img src="assets/images/people.png" class="img-fluid" alt="image">
                                    </div>
                                    <div>
                                        <p class="mb-2">Sales Team</p>
                                    </div>
                                </div>
                                </a>
                            </div>
                        </div>
                    </div>
                @endif

                <div class="col-lg-3 col-md-4">
                    <div class="card card-block card-stretch card-height border-0">
                        <div class="card-body p-0">
                            <a href="{{url('report')}}" class="d-block px-3 py-4 box-bg rounded">
                            <div class="align-items-center card-total-sale text-center">
                                <div class="icon iq-icon-box-2  mx-auto bg-danger">
                                    <img src="assets/images/people.png" class="img-fluid" alt="image">
                                </div>
                                <div>
                                    <p class="mb-2">Reports</p>
                                </div>
                            </div>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-4">
                    <div class="card card-block card-stretch card-height border-0">
                        <div class="card-body p-0">
                            <a href="{{route('leads.index')}}" class="d-block px-3 py-4 box-bg rounded">
                            <div class="align-items-center card-total-sale text-center">
                                <div class="icon iq-icon-box-2 bg-primary mx-auto">
                                    <img src="assets/images/inventory.png" class="img-fluid" alt="image">
                                </div>
                                <div>
                                    <p class="mb-2"> {{$lead}} Leads</p>
                                </div>
                            </div>
                            </a>
                        </div>
                    </div>
                </div>

                @if (Auth::user()->user_type)
                    <div class="col-lg-3 col-md-4">
                        <div class="card card-block card-stretch card-height border-0">
                            <div class="card-body p-0">
                                <a href="{{route('status.index')}}" class="d-block px-3 py-4 box-bg rounded">
                                <div class="align-items-center card-total-sale text-center">
                                    <div class="icon iq-icon-box-2 bg-secondary mx-auto">
                                        <img src="assets/images/accounts.png" class="img-fluid" alt="image">
                                    </div>
                                    <div>
                                        <p class="mb-2">Status Master</p>
                                    </div>
                                </div>
                                </a>
                            </div>
                        </div>
                    </div>
                @else
                    <div class="col-lg-3 col-md-4">
                        <div class="card card-block card-stretch card-height border-0">
                            <div class="card-body p-0">
                                <a href="{{url('projects')}}" class="d-block px-3 py-4 box-bg rounded">
                                <div class="align-items-center card-total-sale text-center">
                                    <div class="icon iq-icon-box-2 bg-secondary mx-auto">
                                        <img src="assets/images/accounts.png" class="img-fluid" alt="image">
                                    </div>
                                    <div>
                                        <p class="mb-2">Project Master</p>
                                    </div>
                                </div>
                                </a>
                            </div>
                        </div>
                    </div>
                @endif 
            </div>
        </div>
    </div>
</div>
@endsection
