<?php
    $title = env('APP_NAME'). ' | Reset Password';
?>
<!DOCTYPE html>
<html lang="en">
<head>
   <!-- ========== Page Title ========== -->
   <title>
      <?php if(isset($title)): ?>
          <?php echo e($title); ?>    
      <?php endif; ?>
  </title>
  <!-- ========== Meta Tags ========== -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- ========== Favicon Icon ========== -->
  <link rel="shortcut icon" href="" type="image/x-icon">
  <!-- ========== Google Fonts ========== -->
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,800&amp;display=swap" rel="stylesheet">
  <!-- ========== Start Stylesheet ========== -->
  <link rel="shortcut icon" href="https://templates.iqonic.design/posdash/html/assets/images/favicon.ico" />
  <link rel="stylesheet" href="<?php echo e(asset('assets/css/backend-plugin.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/fortawesome/fontawesome-free/css/all.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('assets/css/backende209.css')); ?>" />
  <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/line-awesome/dist/line-awesome/css/line-awesome.min.css')); ?>" />
  <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/remixicon/fonts/remixicon.css')); ?>">
</head>
<body>  
    <div class="container mt-5">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <header class="loginheader text-center">
                    <img style="width:200px;margin-top: -48px;" src="http://crm.lucky7bet.com/assets/images/qs-logo.png"></a>
                </header>
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Reset Password </h3>
                    </div>
                    <div class="card-body"> 
                        <div class="row mx-2 my-2">
                            <div class="col-12" >
                                <?php if(\Session::has('success')): ?>
                                    <div class="alert alert-success alert-dismissible">
                                        <a href="#" class="close" data-dismiss="alert" aria-label="close"><i class="las la-times-circle bg-success rounded"></i></a>
                                        <strong><?php echo \Session::get('success'); ?></strong>
                                    </div>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <form action="<?php echo e(route('forget.password.post')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="form-group row">
                                <label for="email_address" class="col-md-4 col-form-label text-md-right">E-Mail Address</label>
                                <div class="col-md-6">
                                    <input type="text" id="email_address" class="form-control" name="email" required autofocus>
                                    <?php if($errors->has('email')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    Send Password Reset Link
                                </button>
                            </div>
                        </form>
  
                    </div>
                </div>
            </div>
        </div>
    </div> 
</body>
</html>
<?php /**PATH /home/qualitysys/domains/crm.qualitysystemsindia.com/crm/resources/views/auth/forgetPassword.blade.php ENDPATH**/ ?>