<?php
    $title = env('APP_NAME'). ' LEAD';
?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
   <div class="card">
        <div class="card-header d-flex justify-content-center">
           <div class="header-title">
              <h4 class="card-title">LEAD UPDATE</h4>
           </div>
        </div>
        <div class="card-header d-flex justify-content-between">
            <div class="header-title">
               <h4 class="card-title">Personal Details</h4>
            </div>
         </div>
        <div class="card-body">
            <form method="POST" action="<?php echo e(route('leads.update', $lead->id)); ?>">
               <?php echo method_field('put'); ?>
               <?php echo csrf_field(); ?>
               <div class="row">  
                <div class="col-md-4">
                    <div class="form-group">
                         <label for="Lead_label">Projects</label><span class="text-danger">*</span>
                         <select class="form-control select2" name="project" required >
                            <option value="">Select Projects</option>
                            <?php $__currentLoopData = $project; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $projects): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option data-sname="<?php echo e($projects->project_name); ?>" value="<?php echo e($projects->id); ?>" <?php echo e($projects->id == $lead->project ? 'selected': ''); ?>><?php echo e($projects->project_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Customer Name</label><span class="text-danger">*</span>
                        <input type="text" class="form-control"  name="customer_name"  placeholder="Customer Name" value="<?php echo e($lead->customer_name ?? ''); ?>" required>
                     </div>
                  </div>

                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Company Name</label>
                        <input type="text" class="form-control"  name="company_name"  placeholder="Company Name" value="<?php echo e($lead->company_name ?? ''); ?>" >
                     </div>
                  </div>

                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">Email</label>
                      <input type="email" class="form-control"  name="email"  placeholder="Email" value="<?php echo e($lead->email); ?>" >
                   </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Mobile No</label><span class="text-danger">*</span>
                        <input type="tel" class="form-control" name="mobile" onkeypress="return (event.charCode >= 48 && event.charCode <= 57) || (event.charCode == 43 || event.charCode == 32)" placeholder="Mobile No" value="<?php echo e($lead->mobile); ?>" required>
                     </div>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                      <label for="alternet_mobile">Alternet Mobile</label>
                      <input type="text" class="form-control" name="alternet_mobile" id="alternet_mobile" placeholder="9691******" id="alternet_mobile" value="<?php echo e($lead->alternet_mobile); ?>">
                      <?php $__errorArgs = ['alternet_mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                          <div class="text-secondary"><?php echo e($message); ?></div>
                      <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                     </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">Country</label>
                      <select class="form-control select2" name="country" id="country" onchange="state_data(this.value)" required>
                          <option value="">Select Country</option>
                              <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $country_val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <option value="<?php echo e($country_val->id); ?>" <?php echo e($lead->country ==  $country_val->id ? 'selected' : ''); ?> ><?php echo e($country_val->name); ?></option>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">State</label>
                      <select class="form-control select2" value="<?php echo e($lead->state); ?>" name="state" id="state" onchange="city_data(this.value)">
                          <option value="">Select State</option>
                      </select> 
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                      <label for="Lead_label">City</label>
                      <select class="form-control select2" value="<?php echo e($lead->city); ?>" name="city" id="city">
                          <option value="">Select City</option>
                      </select>
                  </div>
                </div>

                <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Status</label><span class="text-danger">*</span>
                        <select class="form-control" name="current_status" id="current_status">
                            <option value="">Select Status</option>
                            <?php $__currentLoopData = $status; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option data-sname="<?php echo e($stat->status_name); ?>" value="<?php echo e($stat->id); ?>" <?php echo e($stat->id == $lead->current_status ? 'selected': ''); ?> ><?php echo e($stat->status_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </select>
                    </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Follow Up</label><span class="text-danger">*</span>
                        <input type="date" class="form-control"  name="follow_up"  placeholder="Follow Up" value="<?php echo e($lead->follow_up ?? ''); ?>" required> 
                        <input type="time" class="form-control"  name="follow_up_time" value="<?php echo e($lead->follow_up_time); ?>" required>
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Agent Name</label><span class="text-danger">*</span>
                      <?php if(Auth::user()->user_type == 1): ?>
                      <select class="form-control" name="Q_S_Name" id="Q_S_Name">
                        <option value="">Select Agent</option>
                        <?php $__currentLoopData = $agent; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $stat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option  value="<?php echo e($stat->id); ?>" <?php echo e($stat->id == $lead->Q_S_Name ? 'selected': ''); ?> ><?php echo e($stat->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </select>
                      <?php endif; ?>

                      <?php if(Auth::user()->user_type == 0): ?>
                      <input type="text" class="form-control"  name="Q_S_Name"  placeholder="Agent Name" value="<?php echo e(Auth::user()->name); ?>" readonly required>
                      <?php endif; ?>
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Feedback</label><span class="text-danger">*</span>
                        <input type="text" class="form-control"  name="feedback"  placeholder="Feedback" value="<?php echo e($lead->feedback ?? ''); ?>" required>
                     </div>
                  </div>
                  <div class="col-md-4">
                    <div class="form-group">
                        <label for="Lead_label">Reference</label>
                        <input type="text" class="form-control"  value="<?php echo e($lead->reference ?? ''); ?>"  name="reference"  placeholder="Reference By">
                     </div>
                  </div>
               </div>
                  <div class="text-right">
                    <button type="submit" class="btn btn-primary px-5 py-3">Update</button>
                   <a href="<?php echo e(url('leads')); ?>" class="btn bg-danger px-5 py-3 mr-4">Cancel</a>
                 </div>
              </form>
        </div>
                </div>
            </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?> 
    <script>
      $( document ).ready(function() {
        $('.select2').select2()

        if($('#country').val() > 0){
          state_data($('#country').val(), $('#state').attr("value")) 
        }
         
         
        state = parseInt(document.getElementById('state').value);
        if(state > 0){
            state_data(state)
        }  
      });

      function state_data(country_id, attribute = ''){    
          $.ajax({
              url: "<?php echo e(url('/select-state')); ?>",
              type: 'POST',
              data: {
                  "_token": "<?php echo e(csrf_token()); ?>",
                  "id": country_id
              },
              success: function(data) {
                  var data = JSON.parse(data);
                  console.log(data);
                  var listitems = '<option value="">Select State</option>';
                  $.each(data, function(key, value) {
                      listitems += `<option value="${value.state_id}" ${attribute == value.state_id ? 'selected' : ''} >${value.state}</option>`;
                  }); 
                  $('#state').html(listitems); 
                  if($('#state').val() > 0){
                    city_data($('#state').val(), $('#city').attr("value"))
                  }
              }
          });
          
      }
  
      function city_data(stateid, attribute = ''){   
          $.ajax({
              url: "<?php echo e(url('/select-city')); ?>",
              type: 'POST',
              data: {
                  "_token": "<?php echo e(csrf_token()); ?>",
                  "id": stateid
              },
              success: function(data) {
                  var data = JSON.parse(data);
                  var listitems = '<option value="">Select City</option>';
                  $.each(data, function(key, value) {
                      listitems += `<option value="${value.city_id}" ${attribute == value.city_id ? 'selected' : ''} >${value.city_name}</option>`;
                  });
                  $('#city').html(listitems);
              }
          });
      }
    </script>  
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lucky7betmane/crm/resources/views/admin/leads/edit.blade.php ENDPATH**/ ?>