<?php
    $title = env('APP_NAME'). ' Projects';
?>

<?php $__env->startSection('content'); ?>
<style>
    .table th {
        font-size: 14px;
        background-color: #020940;
        color: #fff;
    }
</style>
<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
             <div class="card-header">
                <div class="row">
                    <div class="col-md-6">
                        <div class="header-title">
                            <h4 class="card-title">Projects Master</h4>
                        </div>
                    </div>
                    <div class="col-md-6 text-right">
                        <a style="float: right;" href="<?php echo e(route('projects.create')); ?>" class="reNumber btn btn-danger mb-3">Create Project</a>
                    </div>
                </div>

             </div>
             <div class="card-body">
                 <div class="panel-body">
                     <div class="table-responsive">
                         <table id="mytable" class="table table-striped bordered table protable" style="width:100%">
                             <thead>
                                 <tr>
                                     <th class="text-center">S.no.</th>
                                     <th class="text-center">Project Name</th>
                                     <th class="text-center">Created Date</th>
                                     <th class="text-center">Updated At</th>
                                     <th class="text-center">Action</th>
                                 </tr>
                             </thead>
                             <tbody>
                                 <?php $__currentLoopData = $all_projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $all_projects_k => $all_projects_item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                     <tr class="border-top">
                                         <td class="text-center"><?php echo e($all_projects_k+1); ?></td>
                                         <td class="text-center">
                                             <p><strong><?php echo e($all_projects_item->project_name); ?></strong></p>
                                         </td>
                                         <td class="text-center" >
                                            <?php echo e($all_projects_item->created_at); ?>

                                         </td>
                                         <td class="text-center" >
                                            <?php echo e($all_projects_item->updated_at); ?>

                                         </td>
                                         <td class="text-center" >
                                            <div class="d-flex actions__btn">
                                             <a href="<?php echo e(route('projects.edit', $all_projects_item->id)); ?>" class="btn btn-warning las la la-pencil-alt mr-2"></a>
                                             <?php if(Auth::user()->user_type): ?>
                                                <form action="<?php echo e(route('projects.destroy', $all_projects_item->id)); ?>" method="post">
                                                    <?php echo method_field('delete'); ?>
                                                    <?php echo csrf_field(); ?>
                                                    <button class="btn btn-danger las la la-trash" onclick="return confirm('Are You Sure to Delete Status')"></button>
                                                </form>
                                             <?php endif; ?>
                                            </div>
                                         </td>
                                     </tr>
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                             </tbody>
                         </table>
                         </div>
                     </div>
                 </div>
             </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/qualitysys/domains/crm.qualitysystemsindia.com/crm/resources/views/admin/projects/index.blade.php ENDPATH**/ ?>