<?php
    $title = env('APP_NAME') . ' LEAD';
?>

<?php $__env->startSection('content'); ?>
    <style>
        .table th {
            font-size: 14px;
            background-color: #020940;
            color: #fff;
        }
    </style>
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="header-title">
                                    <h4 class="card-title">Leads</h4>
                                </div>
                            </div> 
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-striped bordered table">
                                            <thead>
                                                <tr>
                                                    <th>Sr No.</th>
                                                    <th class="text-center" style="width: 70%">Notification</th> 
                                                    <th class="text-center">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody> 
                                                <?php if(count($leads) >= 1): ?>
                                                    <?php $__currentLoopData = $leads; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key =>  $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <tr class="m-0">
                                                            <td><?php echo e($key+1); ?></td>
                                                            <td>
                                                                <div class="row">
                                                                    <div class="col-3"><strong>Name : </strong><br><strong>Followup Date : </strong></div>
                                                                    <div class="col-3"><?php echo e($item->customer_name ?? ''); ?><br><?php echo e($item->follow_up ?? ''); ?></div>
                                                                    <div class="col-3"><strong>Mobile : </strong><br><strong>Followup Time : </strong></div>
                                                                    <div class="col-3"><?php echo e($item->mobile ?? ''); ?><br><?php echo e(date('h:i a', strtotime($item->follow_up_time))); ?></div>
                                                                </div> 
                                                            </td>
                                                            <td class="text-center">
                                                                <div class="d-flex actions__btn"> 
                                                                    <span><a href="<?php echo e(route('leads.show', $item->id)); ?>" class="btn btn-primary las la la-eye mr-2"></a></span>
                                                                    <span><a href="<?php echo e(url('notify_update', $item->id)); ?>" class="btn btn-warning las la la-pencil-alt mr-2"></a></span>
                                                                    <span><a href="<?php echo e(url('notify_close', $item->id)); ?>" class="btn btn-danger las la la-close mr-2"></a></span>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php else: ?>
                                                    <td colspan="2" class="text-center">No Notifications </td>
                                                <?php endif; ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div> 
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>  
    <script> 

    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/qualitysys/domains/crm.qualitysystemsindia.com/crm/resources/views/admin/notify/notification.blade.php ENDPATH**/ ?>