<?php
    $title = env('APP_NAME'). ' AGENT';
?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
   <div class="card">
        <div class="card-header d-flex justify-content-between">
           <div class="header-title">
              <h4 class="card-title">Agent Edit</h4>
           </div>
        </div>
        <div class="card-body">
            <form method="POST" action="<?php echo e(route('agents.update', $user->id)); ?>">
               <?php echo method_field('put'); ?>
               <?php echo csrf_field(); ?>
               <div class="row">
                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="agent_name">Agent Name</label><span class="text-danger">*</span>
                           <input type="text" class="form-control" id="agent_name" name="agent_name"  placeholder="Name of Agent" value="<?php echo e($user->name); ?>" required>
                           <small class="text-secondary" >
                              <?php $__errorArgs = ['agent_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                              <?php echo e($message); ?>

                              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                           </small>
                        </div>
                     </div>


                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="email">Email</label><span class="text-danger">*</span>
                           <input type="email" class="form-control" id="email" name="email" placeholder="Jhon@gmail.com" value="<?php echo e($user->email); ?>" required>
                           <small class="text-secondary">
                              <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                              <?php echo e($message); ?>

                              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                           </small>
                        </div>
                     </div>

                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="mobile">Mobile Number</label><span class="text-danger">*</span>
                           <input type="tel" maxlength="10" minlength="10" class="form-control" id="mobile" name="mobile" placeholder="9691*****06" value="<?php echo e($user->mobile); ?>" onkeypress="return event.charCode >= 48 && event.charCode <= 57" required>
                           <small class="text-secondary">
                              <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                              <?php echo e($message); ?>

                              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                           </small>
                        </div>
                     </div>

                     <div class="col-md-6">
                     <div class="form-group">
                           <label for="address">Full Address</label>
                           <input type="text" class="form-control" id="address" name="address" placeholder="Agent address" value="<?php echo e($user->address); ?>">
                           <small class="text-secondary">
                              <?php $__errorArgs = ['address'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                              <?php echo e($message); ?>

                              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                           </small>
                        </div>
                     </div>


                     <div class="col-md-6">
                        <div class="form-group">
                           <label for="password">Password</label><span class="text-danger">*</span>
                           <input type="password" class="form-control" id="password" name="password" placeholder="">
                           <small class="text-secondary">
                              <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                              <?php echo e($message); ?>

                              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                           </small>
                        </div>
                     </div>

                     <div class="col-md-6">
                        <div class="form-group">
                           <label for="password">Confirm Password</label><span class="text-danger">*</span>
                           <input type="password" class="form-control" id="confirm_password" name="confirm_password" placeholder=""\>
                           <small class="text-secondary">
                              <?php $__errorArgs = ['confirm_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                              <?php echo e($message); ?>

                              <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                           </small>
                        </div>
                     </div>
               </div>

               <div class="text-right">
                  <button type="submit" class="btn btn-primary px-5 py-3">Update</button>
                  <a href="<?php echo e(url('agents')); ?>" class="btn bg-danger px-5 py-3 mr-4">Cancel</a>
               </div>
            </form>
         </div>
   </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('js'); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<<script type="text/javascript" src="https://maps.google.com/maps/api/js?key=AIzaSyCnr2cIpAbxu32ce__6vwmr8vuLWbz5L4M&libraries=places"></script>
<script>
</script>
<script>
    google.maps.event.addDomListener(window, 'load', initialize);

    function initialize() {
        var input = document.getElementById('address');
        var autocomplete = new google.maps.places.Autocomplete(input);

        autocomplete.addListener('place_changed', function () {
            var place = autocomplete.getPlace();
            $('#latitude').val(place.geometry['location'].lat());
            $('#longitude').val(place.geometry['location'].lng());
        });
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lucky7betmane/crm/resources/views/admin/agents/edit.blade.php ENDPATH**/ ?>