<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Lead extends Model
{
    use HasFactory;
    protected $table = 'leads';
    protected $primaryKey = 'id';
    protected $fillable = ['id','project','customer_name','company_name','email','mobile','state','city','follow_up','Q_S_Name','feedback','current_status', 'country','follow_up_time','reference', 'created_by', 'alternet_mobile'];






    public function user(){
      return $this->belongsTo(User::class);
    }

    public function comments()
    {
        return $this->hasMany(Comment::class)->whereNull('parent_id');
    }

}
