<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('leads', function (Blueprint $table) {
            $table->id();
            $table->string('project');
            $table->string('customer_name');
            $table->string('company_name');
            $table->string('email');
            $table->string('mobile');
            $table->string('state');
            $table->string('city');
            $table->date('follow_up');
            $table->string('Q_S_Name');
            $table->string('feedback');
            $table->integer('current_status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('leads');
    }
};
