<?php
    $title = env('APP_NAME'). ' My Profile';
?>

<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <form method="POST"> 
        <?php echo csrf_field(); ?>
        <div class="customer_records">
            <div class="card">
                <div class="card-body"> 
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="row">
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Name</label>
                                        <input type="text" class="form-control" name="name" placeholder="Name" value="<?php echo e(Auth::user()->name); ?>" required>
                                        <small class="text-secondary" >
                                            <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                         </small>
                                    </div>
                                </div> 
                                
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Email</label>
                                        <input type="email" class="form-control" name="email" placeholder="Jhon@gmail.com" value="<?php echo e(Auth::user()->email); ?>" required>
                                        <small class="text-secondary" >
                                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                         </small>
                                    </div>
                                </div> 
                                
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Mobile</label>
                                        <input type="tel" maxlength="10" minlength="10" class="form-control" name="mobile" placeholder="9691*****06" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo e(Auth::user()->mobile); ?>" required>
                                        <small class="text-secondary" >
                                            <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                         </small>
                                    </div>
                                </div> 
                                
                                <div class="col-md-4 col-lg-4">
                                    <div class="form-group">
                                        <label for="name">Address</label>
                                        <input type="text" class="form-control" name="address" placeholder="address" value="<?php echo e(Auth::user()->address); ?>">
                                        <small class="text-secondary" >
                                            <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                            <?php echo e($message); ?>

                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                         </small>
                                    </div>
                                </div> 
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div> 

        <div class="text-center mb-4">
            <button type="submit" class="btn btn-primary px-5 py-3">Update Profile</button>
        </div>
    </form>
</div>

<div class="container-fluid mt-5"> 
        <div class="row">
            <div class="col-md-12">
                <form method="post">
                    <?php echo csrf_field(); ?>
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">Change Password</h4>
                        </div>
                        <div class="card-body"> 
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="row">
                                        <div class="col-md-4 col-lg-4">
                                            <div class="form-group">
                                                <label for="name">old Password</label>
                                                <input type="password" class="form-control" name="password" required>
                                                <small class="text-secondary" >
                                                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                 </small>
                                            </div>
                                        </div> 
                                        
                                        <div class="col-md-4 col-lg-4">
                                            <div class="form-group">
                                                <label for="name">New Password</label>
                                                <input type="password" class="form-control" name="new_password" required>
                                                <small class="text-secondary" >
                                                    <?php $__errorArgs = ['new_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                 </small>
                                            </div>
                                        </div> 
                                        
                                        <div class="col-md-4 col-lg-4">
                                            <div class="form-group">
                                                <label for="name">Confirm Password</label>
                                                <input type="password" class="form-control" name="confirm_password" required>
                                                <small class="text-secondary" >
                                                    <?php $__errorArgs = ['confirm_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                    <?php echo e($message); ?>

                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                 </small>
                                            </div>
                                        </div>  
                                    </div>
                                </div>
                            </div>
                        </div> 
                        <div class="card-footer">
                            <div class="text-center mb-4">
                                <input type="hidden" name="forget" value="1">
                                <button type="submit" class="btn btn-primary px-5 py-3">Update Profile</button>
                            </div>
                        </div> 
                    </div>
                </form>
            </div>
        </div>  
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/qualitysys/domains/crm.qualitysystemsindia.com/crm/resources/views/admin/profile.blade.php ENDPATH**/ ?>