<?php
    $title = env('APP_NAME'). ' AGENT';
?>

<?php $__env->startSection('content'); ?>
<style>
  .table th {
      font-size: 14px;
      background-color: #020940;
      color: #fff;
  }
</style>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
            <div class="row">
                 <div class="col-md-6">
                    <div class="header-title">
                        <h4 class="card-title">Agents</h4>
                    </div>
                 </div>
                 <div class="col-md-6">
                    <a style="float: right;" href="<?php echo e(route('agents.create')); ?>" class="reNumber btn btn-danger mb-3">New Agent</a>
                 </div>

            </div>

        </div>
        <div class="card-body">
          <div class="panel-body">
              <div class="table-responsive">
                  <table id="mytable" class="table table-striped bordered table protable" style="width:100%">
                      <thead>
                        <tr>
                          <th>S.N.</th>
                          <th>Name</th>
                          <th>Email</th>
                          <th>Mobile.No.</th>
                          <th>Address</th>
                          <th>Action</th>
                        </tr>
                      </thead>
                      <tbody>
                          <?php $__currentLoopData = $user; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <tr>
                              <td><?php echo e($key+1); ?></td>
                              <td><?php echo e($row->name); ?></td>
                              <td><?php echo e($row->email); ?></td>
                              <td><?php echo e($row->mobile); ?></td>
                              <td><?php echo e($row->address); ?></td>
                              <td class="text-center" >
                                <div class="d-flex actions__btn">
                                <a href="<?php echo e(route('agents.edit', $row->id)); ?>" class="btn btn-warning las la la-pencil-alt mr-2">
                                </a>
                                <form action="<?php echo e(route('agents.destroy', $row->id)); ?>" method="post">
                                  <?php echo method_field('delete'); ?>
                                  <?php echo csrf_field(); ?>
                                  <button class="btn btn-danger las la la-trash" onclick="return confirm('Are You Sure to Delete  Agent')"></button>
                                </form>
                                </div>
                              </td>
                            </tr>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </tbody>
                  </table>
                  </div>
              </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>





<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lucky7betmane/crm/resources/views/admin/agents/index.blade.php ENDPATH**/ ?>