<?php
    $title = env('APP_NAME'). ' LEAD';
?>

<?php $__env->startSection('content'); ?>
<style>
  .table th {
      font-size: 14px;
      background-color: #020940;
      color: #fff;
  }  
</style>
<div class="container-fluid">
  <div class="row"> 
    <div class="col-md-12"> 
        <div class="card mt-3">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-6">
                      <div class="header-title">
                          <h4 class="card-title">Leads Details</h4>
                      </div>
                    </div>
                    <div class="col-md-6">
                      <a style="float: right;" target="_blank" href="<?php echo e(url('leads-print/'.Request::segment(2))); ?>" class="reNumber btn btn-success mb-3">Print</a>
                    </div>
                </div>
            </div>
            <div class="card-body">
                
                <div class="row saledetails">
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Project Name</strong>
                        <p><?php echo e($lead_data->project_name ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Customer Name</strong>
                        <p><?php echo e($lead_data->customer_name ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Company Name</strong>
                        <p><?php echo e($lead_data->company_name ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Mobile No.</strong>
                        <p><?php echo e($lead_data->customer_name ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Alternet Mobile</strong>
                        <p><?php echo e($lead_data->alternet_mobile ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Email</strong>
                        <p><?php echo e($lead_data->email ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Mobile</strong>
                        <p><?php echo e($lead_data->mobile ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Country</strong>
                        <p><?php echo e($lead_data->country_name ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>State</strong>
                        <p><?php echo e($lead_data->state ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>City</strong>
                        <p><?php echo e($lead_data->city_name ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Agent Name</strong>
                        <p><?php echo e($agent->name ?? ''); ?></p>
                    </div>

                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Follow Up</strong>
                        <p><?php echo e($lead_data->follow_up ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Follow Up Time</strong>
                        <p><?php echo e($lead_data->follow_up_time ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Feedback</strong>
                        <p><?php echo e($lead_data->feedback ?? ''); ?></p>
                    </div>
                    <div class="col-md-3 col-lg-2 border-bottom">
                        <strong>Referance</strong>
                        <p><?php echo e($lead_data->reference ?? ''); ?></p>
                    </div>
                </div>


            </div>
        </div>

        <div class="card mt-3">
            <div class="card-body">
                <div class="d-flex align-items-center ">
                    <div class="form-group mb-0">
                        <select class="form-control" name="current_status" id="status" onchange="change_status($(this).val(), <?php echo e($lead_data->id); ?> )">
                            <option value="">Select</option>
                            <?php $__currentLoopData = $status; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k=>$status_vals): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option  value="<?php echo e($status_vals->id); ?>" <?php echo e($status_vals->id == $lead_data->current_status ? 'selected': ''); ?> ><?php echo e($status_vals->status_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                          </select>
                    </div>
                    <div class="status-label ml-auto"><label>Follow up</label></div>
                </div>
            </div>
        </div>


        <?php echo $__env->make('admin.leads.commentsDisplay', [ 'lead_id' => $lead_data->id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


        <div class="comments-section mt-3 mb-5">
            <h5>Comments</h5>
            <form method="post" action="<?php echo e(route('comment.store')); ?>">
                <?php echo csrf_field(); ?>
                <div class="form-group mt-2">
                    <textarea class="form-control" name="body" rows="2" placeholder="Type Here"></textarea>
                    <input type="hidden" name="lead_id" value="<?php echo e($lead_data->id); ?>" />
                </div>
                <button class="btn btn-primary">Submit</button>
            </form>
        </div>

    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

<script>


    function change_status(id, row_id) {
        // console.log(id);
         $.ajax({
            type: 'POST',
            url: "<?php echo e(url('/admin/leads_status')); ?>",
            data: {
               "_token": "<?php echo e(csrf_token()); ?>",
               "id": row_id,
               "status": id,
            },
            success: function(data) {
                alert('Status Changed');

            //   window.location.reload();
            }
         })

      }



   </script>
<?php $__env->stopSection(); ?>



<?php echo $__env->make('master.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lucky7betmane/crm/resources/views/admin/leads/show.blade.php ENDPATH**/ ?>