<style>
    .scroll-con {
        max-height: 280px;
        overflow: auto;
    }
    .notification-count {
        position: absolute;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        background-color: #f0572a;
        color: #fff !important;
        text-align: center;
        line-height: 18px;
        right: -2px;
        top: 20px;
        font-size: 11px;
        opacity: 1;
        }
</style>
<div class="iq-top-navbar">
    <div class="iq-navbar-custom">
        <nav class="navbar navbar-expand-lg navbar-light p-0">
            <div class="iq-navbar-logo d-flex align-items-center justify-content-between">
                <i class="ri-menu-line wrapper-menu"></i>
                <a href="index.html" class="header-logo">
                    <img src="assets/images/logo.png" class="img-fluid rounded-normal" alt="logo">
                    <h5 class="logo-title ml-3">CRM</h5>

                </a>
            </div>
            <div style="margin-top: 15px;" class="iq-search-bar device-search">
                <form action="#" class="searchbox">
                    
                </form>
            </div>
            <div class="d-flex align-items-center">
                <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-label="Toggle navigation">
                    <i class="ri-menu-3-line"></i>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav ml-auto navbar-list align-items-center">
                        <?php  
                            $notif = [ 
                                'notify'=>1,
                                'Q_S_Name'=>Auth::user()->id,
                                ];
                               
                            $d = App\Models\Lead::where('follow_up','<=',date('Y-m-d'))->where($notif)->get(); 
                        ?>
                        <li class="nav-item nav-icon dropdown <?php echo e(count($d) > 0 ? 'show' : ''); ?>" id="timer_popup">
                            <a href="#" class="search-toggle dropdown-toggle" id="dropdownMenuButton2"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="<?php echo e(count($d) > 0 ? 'true' : 'false'); ?>">
                                <i class="las la-bell"></i>
                                <sup class="text-secondary notification-count" id="count1"><?php echo e(count($d)); ?></sup>
                            </a>
                            <div class="iq-sub-dropdown dropdown-menu <?php echo e(count($d) > 0 ? 'show' : ''); ?>" aria-labelledby="dropdownMenuButton2" id="pop_div">
                                <div class="card shadow-none m-0">
                                    <div class="card-body p-0 ">
                                        <div class="cust-title p-3">
                                            <div class="d-flex align-items-center justify-content-between">
                                                <h5 class="mb-0">Notifications</h5>
                                                <a class="badge badge-primary badge-card" href="#" id="count2"><?php echo e(count($d)); ?></a>
                                            </div>
                                        </div>
                                        <div class="px-3 pt-0 pb-0 sub-card scroll-con" id="pop_time">
                                            <?php $__currentLoopData = $d; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d_key => $d_item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <a href="<?php echo e(route('leads.edit', $d_item->id)); ?>?notify=1" class="iq-sub-card">
                                                    <div class="media align-items-center cust-card py-3 border-bottom">
                                                        <div class="media-body ml-3">
                                                            <div class="d-flex align-items-center justify-content-between">
                                                                <h6 class="mb-0"><?php echo e($d_item->customer_name); ?></h6>
                                                                <small class="text-dark"><b><?php echo e(date('d-m-Y', strtotime($d_item->follow_up))); ?></b></small>
                                                            </div> 
                                                            <small class="mb-0">Time - <?php echo e(date( 'h:i a', strtotime($d_item->follow_up_time))); ?></small><br>
                                                            <?php if($d_item->email !== null): ?>
                                                                <small class="mb-0">Email - <?php echo e($d_item->email); ?></small><br>
                                                            <?php endif; ?>
                                                            <small class="mb-0">Mobile - <?php echo e($d_item->mobile); ?></small>
                                                        </div>
                                                    </div>
                                                </a>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div> 
                                    </div>
                                </div>
                                <a class="right-ic btn btn-primary btn-block position-relative p-2" href="<?php echo e(url('lead-notifications')); ?>" role="button">
                                    View All
                                </a>
                            </div>
                        </li>
                        <li class="nav-item nav-icon dropdown caption-content">
                            <a href="#" class="search-toggle dropdown-toggle" id="dropdownMenuButton4"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="las la la-user"></i>
                                
                            </a>
                            <div class="iq-sub-dropdown dropdown-menu" aria-labelledby="dropdownMenuButton">
                                <div class="card shadow-none m-0">
                                    <div class="card-body p-0 text-center">
                                        <div class="media-body profile-detail text-center">
                                            <img src="<?php echo e(url('assets/images/page-img/profile-bg.jpg')); ?>" alt=""
                                                class="rounded-top img-fluid mb-4">
                                            <img src="<?php echo e(url('assets/images/user/1.png')); ?>" alt="profile-img"
                                                class="rounded profile-img img-fluid avatar-70">
                                        </div>
                                        <div class="p-3">
                                            <h5 class="mb-1"><?php echo e(Auth::check() ?  Auth::user()->name : ''); ?></h5>
                                            <div class="d-flex align-items-center justify-content-center mt-3">
                                                <a href="<?php echo e(url('profile')); ?>" class="btn border mr-2">Profile</a>
                                                    <a class="btn border" href="<?php echo e(route('logout')); ?>"
                                                    onclick="event.preventDefault();
                                                                document.getElementById('logout-form').submit();">
                                                    <?php echo e(__('Logout')); ?>

                                                </a>
                                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                                    <?php echo csrf_field(); ?>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </div>
</div>
<?php /**PATH /home/lucky7betmane/crm/resources/views/master/header.blade.php ENDPATH**/ ?>